# NOTE: Derived from blib/lib/Text/ToSentences.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Text::ToSentences;

#line 89 "blib/lib/Text/ToSentences.pm (autosplit into blib/lib/auto/Text/ToSentences/convert.al)"
sub convert($) {
    my $text = shift;
    chomp($text);
    $text = _correctSpacesAndFormat($text);
    my $textForProcessing = _putSpacesAroundBlockDelimiters($text);

    my @sentencesToReturn;

    my @initialWords = split /\s+/, $textForProcessing;
    my @words;
    foreach my $initialWord (@initialWords) {
        my @possibleWords = split(/\./, $initialWord);
        if ((@possibleWords <= 1) || 
            (@possibleWords == 2 && $possibleWords[-1] eq "") ||
            (_isAcronym($initialWord))) {
            push(@words, $initialWord);
        } else {
            my @wordsToAdd = map { "$_." } @possibleWords;
            chop($wordsToAdd[-1]) unless $initialWord =~ /\.$/;
            push(@words, @wordsToAdd);
        }
    }

    my $currentSentece;
    my @pendingSentences;
    while (@words) {
        my $currentWord = shift @words;
        if (_isBlockOpening($currentWord)) {
            my @blockWords = @{_getWordsUpToBlockClosing(\@words, 
                                                         $currentWord)};
            push(@pendingSentences, @{convert(join(" ", @blockWords))});
        } else {
            $currentSentece .= " ".$currentWord if $currentWord;
        }
        my $nextWord = @words ? $words[0] : "";

        if (_isSentenceEnd($currentWord)){# || _isSentenceStart($nextWord)) {
            push(@sentencesToReturn, 
                 _correctSpacesAndFormat(_removeBlockDelimiters($currentSentece)));
            push(@sentencesToReturn, @pendingSentences);
            $currentSentece = "";
            @pendingSentences = ();
        }
    }

    push(@sentencesToReturn,  
         _correctSpacesAndFormat(_removeBlockDelimiters($currentSentece)))
        if $currentSentece;

    return \@sentencesToReturn;
}

# end of Text::ToSentences::convert
1;
